Sugar on SUSE

From OLPC

Jump to: navigation, search

Contents

Installing Sugar on openSUSE

To get Sugar and other packages that are required to run Sugar on a standalone desktop or LTSP thin client follow these steps:

As root run the following in shell:

 zypper ar http://download.opensuse.org/repositories/X11:/Sugar/openSUSE_11.1/ sugar
 zypper ar http://download.opensuse.org/repositories/devel:/languages:/python/openSUSE_11.1/ python
 zypper refresh
 zypper in sugar sugar-activities

Once all the packages are installed, sugar-shell session will be available from Display Manager such as: GDM, KDM or LDM (ltsp) along with GNOME/KDE etc to log in to.

Run sugar-emulator to test within running session.

There are few basic activities already installed along with sugar, if you need more, launch xo-get activity and install more, you would of course need an internet connection to do all the above.

Help improve Sugar by filing bug/enhancement requests on http://dev.laptop.org. If you find any bugs with RPM packages please mail cyberorg<removethis>@opensuse.org.

Follow the guide below if you wish to install sugar from source.

Installation Notes

These notes are based on my experiences running sugar-jhbuild on openSUSE 10.2. If you plan to install Sugar on SUSE you would be well advised to first upgrade to a recent version. Sugar uses a LOT of very current software, so the more recent the distribution the less you will have to build from source.

The sugar-jhbuild script changes frequently, so any detailed instructions should be assumed to be obsolete. Instead of trying to use these instructions to prevent problems, use them as a reference for things to try if there are problems.

Befor you run sugar-jhbuild for the first time, make certain you have the python curses package installed. SUSE does not install this by default and the script won't run without it.

You may need two different versions of automake installed. This would not be specific to Suse, it is a general issue with sugar-jhbuild. OpenSuse 10.2 provides automake 1.9. You can install 1.7.9 from source. Once you do, as root go to /usr/local/bin and delete automake and aclocal. Versions of these files with version numbers appended will remain, and that will allow the steps in sugar-jhbuild that need the older automake to compile.

The first time you run sugar-jhhbuild build it may list out the packages it thinks it needs from your distribution. Some of these you'll need to compile from source. When the script thinks you have all of them it will run. However, you will find the the script's upfront checks are not 100% reliable, so you can still discover missing dependencies later. sugar-jhbuild allows you to easily rerun steps without starting over, so there is no need to agonize over what you might be missing before you get started. When an error shows up, just open another xterm and compile what's missing from source or get it from YAST. Then select the option to rerun the configure step for that module and hopefully that will let you continue. If you don't know how to satisfy a dependency that turns up you can "give up" on that module and continue. You may or may not wind up with a functional version of Sugar to try out.

In the sugar module, you may need to create a directory named "m4" in the sugar source directory to get configure to work.

While installing Sugar on Suse is not a painless, let it run overnight unattended process, it does work.

To compile farsight, you may need a version of gstreamer that is newer than what 10.2 provides, but is NOT the latest. Using 0.10.17 might cause compile errors in farsight. If so, 0.10.11 will work OK.

Also, it is worth pointing out that sometimes you'll get compile errors running this script that seem to be actual errors in the code, not missing dependencies. This I would guess is caused by someone checking bad code into git. Wait a day then try to run the script again and you may find that the problem has corrected itself.

Running sugar-jhbuild

Get sugar-jhbuild through git as described in Sugar with sugar-jhbuild.
cd sugar-jhbuild
git-pull
./sugar-jhbuild update
./sugar-jhbuild build

After running build you may get a list of required packages that need to be installed from YAST. Most of them are available; the rest you'll need to search for or compile from source. Then run build again.

Things I needed to compile from source

Again, don't assume you WILL need to compile all these from source. Instead, consider it a warning of what you might be getting into.

  • automake-1.7.9
  • gnome-icon-theme-2.22.0
  • gst-plugins-base-0.10.11
  • gst-python-0.1.0
  • gstreamer-0.10.11
  • icon-naming-utils-0.8.2
  • numpy-1.0.4
  • simplejson-1.7.5
Personal tools
  • Log in
  • Login with OpenID
About OLPC
About the laptop
About the tablet
Projects
OLPC wiki
Toolbox